Subject: [sip-overload] Providing load information

From: "WORLEY, Dale R (Dale)" <[email-masked]>
Date: Fri, 30 Jul 2010 04:22:36 -0400

Looking at draft-partha-soc-overload-resource-availability-00, I notice that its purpose (providing load information from a call-processing device to an upstream device that has the choice of sending calls to it) is quite similar to draft-ietf-mediactrl-mrb-06.  (See section 5.1.4.3 et seq. and section 6.1 of the latter draft.)  (I stole this observation from Paul Kyzivat.)

However there is a difficult general problem when one element attempts to tell another element how much unreserved capacity it possesses:  The receiving element needs to be able to examine an incoming INVITE and determine the quantities of the various resources that will be needed in the destination element.  In general this is a very difficult problem unless the upstream element has detailed knowledge of the downstream element.  (E.g., how does one element determine the percentage of CPU usage that a particular offered call will demand of another element?)  In general, it seems, that an algorithm must be transmitted from one element to the other.

After a cursory examination, I think that draft-ietf-mediactrl-mrb-06 solves the problem by restricting the resource numbers to refer to dialogs, codecs, and media streams, which can be calculated by examining the SDP alone.

Another possibility is for the downstream element to transmit a "fully busy" indicator, which when false, means that it has the capacity to process any possible incoming call.  But this method would only rarely allow an element to reach 100% utilization.

Although it might be possible for the downstream element to transmit to the upstream element an algorithm for mapping an incoming INVITE into a resource demand vector -- e.g., a Javascript function that takes as input a partially parsed version of the INVITE and returns a vector of numbers.

I haven't looked up the discussions of this matter in the MEDIACTRL archives.

Dale